% DataFile    Explain the contents of a mat-file that stores a set of training data. 
%             These files are usually temporary files.
% With the programs in this catalog it is possible to use very large sets
% of training data. This makes it necessary to store these in temporary mat-files,
% one file for each signal set (image). The filename is DataXmmm.mat
% mmm is three digits from 001 to Mdat. The file should contain
%  Name      - name of this actual signal, ex: lena, baboon, beethoven5th,
%  X_DC      - a number giving the DC component subtracted from the signal
%  X_LP      - the low-pass component of the image, as made by PreProc.Prog1
%  X         - the signal after preprocessing, the signal should be
%              reshaped into size NxL where N is given by the frame size.
%  SizeX     - the original size of X, (N1L1)x(N2L2)x...
%  ss2       - for bwImages 255^2*pixels, else sum((x-mean(x))^2)  
%              for zero-mean signals this is the same as the energy of X
%  S         - how many frame vectors to use for each signal vector, size 1xL
%  WWT       - this is W*W' or Wstar*Wstar', size is KxKxIc
%  XWT       - this is X*W' or X*Wstar', size is NxKxP
%
% Example that save the signal X into the temporary data file numbered m:
% t1=int2str(m);t1=['0000',t1];t1=t1((length(t1)-2):length(t1));
% DataFile=['DataX',t1]; 
% save(DataFile,'Name','X_DC','X_LP','X','SizeX','ss2','S','WWT','XWT');

%----------------------------------------------------------------------
% Copyright (c) 2002.  Karl Skretting.  All rights reserved.
% Hogskolen in Stavanger (Stavanger University), Signal Processing Group
% Mail:  karl.skretting@tn.his.no   Homepage:  http://www.ux.his.no/~karlsk/
% 
% HISTORY:  dd.mm.yyyy
% Ver. 1.0  25.12.2002  KS: text moved from ..\Frames\readme.m to ..\FrameTools
%----------------------------------------------------------------------

type DataFile
return;
